Issue 118600 - IP clearance: Remove liberation fonts
Summary: IP clearance: Remove liberation fonts
Status: CLOSED FIXED
Alias: None
Product: Build Tools
Classification: Code
Component: external prerequisites (show other issues)
Version: 4.0.0-dev
Hardware: All All
: P3 Blocker (vote)
Target Milestone: ---
Assignee: Andre
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 118566
  Show dependency treegraph
 
Reported: 2011-11-14 13:57 UTC by Andre
Modified: 2013-02-21 23:22 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Removed liberation and gentium fonts. (8.31 KB, patch)
2011-11-15 10:24 UTC, Andre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Andre 2011-11-14 13:57:18 UTC
The liberation fonts have GPL license and therefore have to be removed from Apache OpenOffice.
Comment 1 jsc 2011-11-14 13:59:57 UTC
change owner
Comment 2 Andre 2011-11-15 08:34:35 UTC
After a discussion on the ooo-dev mailing list, the gentium basic fonts have to be removed as well.

The OpenSymbol font on the other hand can stay.

I will not remove references to the liberation fonts from 
/officecfg/registry/data/org/openoffice/VCL.xcu so that when the user installs these fonts separately they are recognized.
Comment 3 Andre 2011-11-15 10:24:49 UTC
Created attachment 77015 [details]
Removed liberation and gentium fonts.

Removed liberation and gentium fonts from the more_fonts module.

Checked the documents that are shipped with the office (samples and templates) and found no explicit usage of these fonts.
Comment 4 Pedro Giffuni 2011-11-15 15:42:29 UTC
My bad.. I made it in three commits due to my laziness to type "cd ../..":

svn commit -m "i118600 - IP clearance: Remove liberation fonts. Patch by Andre (af@)."
Deleting       fonts/ttf_gentium
Deleting       fonts/ttf_liberation
Committed revision 1202244.

svn commit -m "i118600 - IP clearance: Remove liberation fonts. Patch by Andre (af@)."
Sending        more_fonts/prj/build.lst
Transmitting file data .
Committed revision 1202245.

svn commit -m "i118600 - IP clearance: Remove liberation fonts. Patch by Andre (af@)."
Sending        ooo.lst
Sending        scp2/source/ooo/file_font_ooo.scp
Transmitting file data ..
Committed revision 1202246.

Sorry for the mess and thanks!
Comment 5 Andre 2011-11-15 16:14:38 UTC
Patch has been applied.  Thanks Pedro. Setting status to RESOLVED.
Comment 6 hdu@apache.org 2012-01-30 13:32:29 UTC
Closing resolved issue.